Debian Bug report logs - #271013
[utf8] only tty1 in unicode after boot

version graph

Package: console-tools; Maintainer for console-tools is Alastair McKinstry <mckinstry@debian.org>; Source for console-tools is src:console-tools.

Reported by: Jonas Meurer <jonas@freesources.org>

Date: Fri, 10 Sep 2004 15:33:01 UTC

Severity: important

Tags: confirmed

Found in versions 1:0.2.3dbs-55, 1:0.2.3dbs-56

Done: Alastair McKinstry <mckinstry@computer.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#271013; Package console-tools. Full text and rfc822 format available.

Acknowledgement sent to Jonas Meurer <jonas@freesources.org>:
New Bug report received and forwarded. Copy sent to Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonas Meurer <jonas@freesources.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: [utf8] only tty1 in unicode after boot
Date: Fri, 10 Sep 2004 17:25:40 +0200
Package: console-tools
Version: 1:0.2.3dbs-55
Severity: important

hello,


after booting my machine, only tty1 is in unicode. all other virtual
consoles are still in single-byte char mode. i'm using matroxfb, and
already read, that framebuffer causes unicode_start to start unicode
mode only on the actual console, but this would require that unicode
start at every vc login, what currently is really painfull, as it gives
a lot of error output for all the vcs that you don't have write-access
to.

i also read, that setting the correct font with fonty is a good idea, so
i have in /etc/console-tools/config.d/fonty:
SCREEN_FONT=LatCyrGr-16
SCREEN_FONT_vc1=LatCyrGr-16
SCREEN_FONT_vc2=LatCyrGr-16
SCREEN_FONT_vc3=LatCyrGr-16
SCREEN_FONT_vc4=LatCyrGr-16
SCREEN_FONT_vc5=LatCyrGr-16
SCREEN_FONT_vc6=LatCyrGr-16
SCREEN_FONT_vc7=LatCyrGr-16
SCREEN_FONT_vc8=LatCyrGr-16
SCREEN_FONT_vc9=LatCyrGr-16
SCREEN_FONT_vc10=LatCyrGr-16
SCREEN_FONT_vc11=LatCyrGr-16
SCREEN_FONT_vc12=LatCyrGr-16

any output of 'locale':
LANG=en_GB.UTF-8
LC_CTYPE=de_DE.UTF-8@euro
LC_NUMERIC="en_GB.UTF-8"
LC_TIME="en_GB.UTF-8"
LC_COLLATE="en_GB.UTF-8"
LC_MONETARY="en_GB.UTF-8"
LC_MESSAGES="en_GB.UTF-8"
LC_PAPER="en_GB.UTF-8"
LC_NAME="en_GB.UTF-8"
LC_ADDRESS="en_GB.UTF-8"
LC_TELEPHONE="en_GB.UTF-8"
LC_MEASUREMENT="en_GB.UTF-8"
LC_IDENTIFICATION="en_GB.UTF-8"
LC_ALL=

my keyboard is german, and after unicode_start umlauts work quite well,
only sometimes at typing one unusual things happen, like spaces are
printed that i didn't type or the line gets messed up some other way.
also at pasting umlauts with gpm, some umlauts cause the next
keyboard-hits to be ignored.

egrep from /usr/share/trans/de-en (package tran-de-en) still doesn't
work with umlauts:

$ egrep -ihs ä /usr/share/trans/de-en
$

i tested it with a file i recreated on my own with vim, and no problem
there:
$ egrep -ihs ä test-file
äß
$

i don't know why all this appears, just try to report.

bye
 jonas

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.8-i386
Locale: LANG=en_GB.UTF-8, LC_CTYPE=de_DE.UTF-8@euro

Versions of packages console-tools depends on:
ii  console-common             0.7.47        Basic infrastructure for text cons
ii  debconf                    1.4.34        Debian configuration management sy
ii  libc6                      2.3.2.ds1-16  GNU C Library: Shared libraries an
ii  libconsole                 1:0.2.3dbs-55 Shared libraries for Linux console
ii  sysvinit                   2.86-4        System-V like init

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Meurer <jonas@freesources.org>, Alastair McKinstry <mckinstry@debian.org>:
Bug#271013; Package console-tools. Full text and rfc822 format available.

Acknowledgement sent to Joshua Kwan <joshk@triplehelix.org>:
Extra info received and forwarded to list. Copy sent to Jonas Meurer <jonas@freesources.org>, Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #10 received at 271013@bugs.debian.org (full text, mbox):

From: Joshua Kwan <joshk@triplehelix.org>
To: 271013@bugs.debian.org
Cc: control@bugs.debian.org
Subject: I have the same bug
Date: Sun, 3 Oct 2004 17:35:30 -0700
[Message part 1 (text/plain, inline)]
tags 271013 + confirmed
thanks

Hi,

I can also confirm that I'm experiencing this bug. Is it a trivial bug
to fix?

Once I run unicode_start as root on tty2, tty2-tty6 are UTF-8 enabled.
Does that help?

-- 
Joshua Kwan
[signature.asc (application/pgp-signature, inline)]

Tags added: confirmed Request was from Joshua Kwan <joshk@triplehelix.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#271013; Package console-tools. Full text and rfc822 format available.

Acknowledgement sent to Michal Schmidt <xschmi00@stud.feec.vutbr.cz>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #17 received at 271013@bugs.debian.org (full text, mbox):

From: Michal Schmidt <xschmi00@stud.feec.vutbr.cz>
To: 271013@bugs.debian.org
Subject: unicode_start runs before VTs are initialized with getty
Date: Fri, 19 Nov 2004 13:51:05 +0100
Hi,
This bug annoys me too.
The UTF-8 mode of VTs is set by calling unicode_start from 
/etc/init.d/console-screen.sh which is normally set to run from runlevel 
'S' (before entering normal runlevel). At that point the "/sbin/getty"s 
are not yet running and the only active VT is /dev/tty0. unicode_start 
is a shell script which sets UTF-8 mode only for currently used ttys.
So I made a quick&dirty hack to unicode_start:

--- /usr/bin/unicode_start.orig 2004-11-19 13:37:37.548109096 +0100
+++ /usr/bin/unicode_start 2004-11-19 13:37:51.688959360 +0100
@@ -46,8 +46,9 @@
      DEVICE_PREFIX="/dev/tty"
 fi

-NUM=`fgconsole --next-available`
-NUM=`expr ${NUM} - 1 `
+#NUM=`fgconsole --next-available`
+#NUM=`expr ${NUM} - 1 `
+NUM=11
 for vc in `seq 0 ${NUM}`
 do
   # Since 1.2.1 - for older kernels, use: echo -n -e '\033%8'


After boot I now have all VTs in UTF-8 mode as I wanted.
I wonder what should be a clean solution. Perhaps running 
/etc/init.d/console-screen.sh in runlevels 2,3,4,5 ?
It's also possible to patch the kernel to create new VTs in UTF-8 mode 
when the previous VT was in UTF-8.

Michal



Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#271013; Package console-tools. Full text and rfc822 format available.

Acknowledgement sent to Michal Schmidt <xschmi00@stud.feec.vutbr.cz>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #22 received at 271013@bugs.debian.org (full text, mbox):

From: Michal Schmidt <xschmi00@stud.feec.vutbr.cz>
To: 271013@bugs.debian.org
Subject: correction
Date: Fri, 19 Nov 2004 14:09:01 +0100
Correction to my last suggestion:
Running console-screen.sh in runlevels 2,3,4,5 wouldn't help because 
init spawns "/sbin/getty"s AFTER all the runlevel starting scripts have run.

Michal



Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#271013; Package console-tools. Full text and rfc822 format available.

Acknowledgement sent to barbier@linuxfr.org (Denis Barbier):
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #27 received at 271013@bugs.debian.org (full text, mbox):

From: barbier@linuxfr.org (Denis Barbier)
To: Michal Schmidt <xschmi00@stud.feec.vutbr.cz>, 271013@bugs.debian.org
Subject: Re: Bug#271013: unicode_start runs before VTs are initialized with getty
Date: Sat, 20 Nov 2004 00:38:32 +0100
On Fri, Nov 19, 2004 at 01:51:05PM +0100, Michal Schmidt wrote:
[...]
> After boot I now have all VTs in UTF-8 mode as I wanted.
> I wonder what should be a clean solution. Perhaps running 
> /etc/init.d/console-screen.sh in runlevels 2,3,4,5 ?
> It's also possible to patch the kernel to create new VTs in UTF-8 mode 
> when the previous VT was in UTF-8.

IMO the most logical way is to switch VTs when logging on console,
because users may have different locale settings.

Denis



Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#271013; Package console-tools. Full text and rfc822 format available.

Acknowledgement sent to Alastair McKinstry <mckinstry@computer.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #32 received at 271013@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@computer.org>
To: Denis Barbier <barbier@linuxfr.org>, 271013@bugs.debian.org
Cc: Michal Schmidt <xschmi00@stud.feec.vutbr.cz>
Subject: Re: Bug#271013: unicode_start runs before VTs are initialized with getty
Date: Sat, 20 Nov 2004 20:03:57 +0000
On Sath, 2004-11-20 at 00:38 +0100, Denis Barbier wrote:
> On Fri, Nov 19, 2004 at 01:51:05PM +0100, Michal Schmidt wrote:
> [...]
> > After boot I now have all VTs in UTF-8 mode as I wanted.
> > I wonder what should be a clean solution. Perhaps running 
> > /etc/init.d/console-screen.sh in runlevels 2,3,4,5 ?
> > It's also possible to patch the kernel to create new VTs in UTF-8 mode 
> > when the previous VT was in UTF-8.
> 
> IMO the most logical way is to switch VTs when logging on console,
> because users may have different locale settings.
> 
> Denis

THe plan I have in mind for this bug is to add an ioctl/ /syscall 
to set all / a bunch of VTs to the same mode; in particular by 
retrofitting the kernel code so VT=-1 == 'all VTs' then allowing the
font to be set and unicode state to be set on all VTs, not just the
current fg console. This would speed up this set in boot, and remove the
annoying flashing caused by 'chvt' as it changes VT in order to set the
font on all VTs.

This is planned immediately post-sarge (post-Christmas, probably, given
current workload).

Regards
Alastair



Information forwarded to debian-bugs-dist@lists.debian.org, Maik.Zumstrull@gmx.de, Alastair McKinstry <mckinstry@debian.org>:
Bug#271013; Package console-tools. Full text and rfc822 format available.

Acknowledgement sent to Maik Zumstrull <Maik.Zumstrull@gmx.de>:
Extra info received and forwarded to list. Copy sent to Maik.Zumstrull@gmx.de, Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #37 received at 271013@bugs.debian.org (full text, mbox):

From: Maik Zumstrull <Maik.Zumstrull@gmx.de>
To: Debian Bug Tracking System <271013@bugs.debian.org>
Subject: console-tools: Cause of problem: unicode_start is too smart
Date: Wed, 26 Jan 2005 18:02:22 +0100
Package: console-tools
Version: 1:0.2.3dbs-55
Followup-For: Bug #271013

I have the same problem on this machine.
I checked out /etc/init.d/console-screen.sh, and it detects the
UTF-8 locale and runs unicode_start just fine.

However, unicode_start uses "fgconsole --next-available" to make
sure it only switches TTYs which are already allocated into UTF-8
mode. Unfortunately, console-screen.sh runs before the gettys
allocate TTYs 2-6.

Possible workarounds:
-- start gettys earlier in the boot process
-- do the actual work in console-screen.sh itself, i.e.
   allocate TTYs 1-n and do a "echo -e '\033%G'"

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (700, 'unstable'), (600, 'testing'), (50, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.8-1-686
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)

Versions of packages console-tools depends on:
ii  console-common             0.7.48        Basic infrastructure for text cons
ii  debconf                    1.4.42        Debian configuration management sy
ii  libc6                      2.3.2.ds1-20  GNU C Library: Shared libraries an
ii  libconsole                 1:0.2.3dbs-55 Shared libraries for Linux console
ii  sysvinit                   2.86.ds1-1    System-V like init

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#271013; Package console-tools. Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Jeltsch <wolfgang@jeltsch.net>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #42 received at 271013@bugs.debian.org (full text, mbox):

From: Wolfgang Jeltsch <wolfgang@jeltsch.net>
To: Debian Bug Tracking System <271013@bugs.debian.org>
Subject: console-tools: Is a misfunctioning fgconsole the source of this problem?
Date: Mon, 14 Mar 2005 14:25:06 +0100
Package: console-tools
Version: 1:0.2.3dbs-56
Followup-For: Bug #271013

I have the same problem here.  I use the VESA framebuffer.  In addition
to the above problem, /etc/init.d/console-screen.sh sets the font
which I have entered as SCREEN_FONT in /etc/console-tools/config only on
the first virtual console.

The reason for this seems to be a misfunctioning fgconsole.  At the
time, /etc/init.d/console-screen.sh is run, fgconsole --next-available
yields 2.  After I have started X, it yields 8.  When I stop X
afterwards, it yields (correctly) 7.

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.8-1-386
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)

Versions of packages console-tools depends on:
ii  console-common             0.7.49        Basic infrastructure for text cons
ii  debconf                    1.4.30.11     Debian configuration management sy
ii  libc6                      2.3.2.ds1-20  GNU C Library: Shared libraries an
ii  libconsole                 1:0.2.3dbs-56 Shared libraries for Linux console
ii  sysvinit                   2.86.ds1-1    System-V like init

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#271013; Package console-tools. Full text and rfc822 format available.

Acknowledgement sent to Jonas Meurer <mejo@debian.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #47 received at 271013@bugs.debian.org (full text, mbox):

From: Jonas Meurer <mejo@debian.org>
To: Debian Bug Tracking System <271013@bugs.debian.org>
Subject: console-tools: status of bug #271013 (post-sarge is now)
Date: Sun, 17 Jul 2005 14:41:13 +0200
Package: console-tools
Version: 1:0.2.3dbs-56
Followup-For: Bug #271013


hello,

you mentioned that you had in mind a fix for this bug which you wanted
to implement after the sarge release. do you still work on it?

if i can do any testing etc. please let me know.

bye
 jonas

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12.2-4-amd64
Locale: LANG=C, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)

Versions of packages console-tools depends on:
ii  console-common             0.7.52        Basic infrastructure for text cons
ii  debconf                    1.4.52        Debian configuration management sy
ii  libc6                      2.3.2.ds1-22  GNU C Library: Shared libraries an
ii  libconsole                 1:0.2.3dbs-56 Shared libraries for Linux console
ii  sysvinit                   2.86.ds1-1    System-V like init

Versions of packages console-tools recommends:
ii  console-data            2002.12.04dbs-49 Keymaps, fonts, charset maps, fall

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#271013; Package console-tools. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #52 received at 271013@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 271013@bugs.debian.org
Subject: Only console 1 in UTF-8 mode: Plans to fix this bug?
Date: Sun, 20 Nov 2005 12:24:23 +0100
This bug will hit new installs more hardly as we will soon switch the
default encoding to UTF-8 for all languages in D-I beta2.

Are there any plans to fix this problem of only console 1 being in
UTF-8 mode or is this delayed to the "switch to kbd" plans?


-- 





Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#271013; Package console-tools. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #57 received at 271013@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 271013@bugs.debian.org
Subject: This unicode_start bug *really* needs to be fixed
Date: Sat, 26 Nov 2005 23:28:26 +0100
Well, there is some urgency now in fixing this bug as the D-I release
manager puts pressure on it after we switched most languages to UTF-8:

22:35 < fjp> bubulle: I see all kinds of weirdness after reboot that I think is caused by UTF-8. Have you already been testing for this?
22:44 < fjp> bubulle: Example is that info pages are a lot less readable http://people.debian.org/~fjp/d-i/utf8weirdness2.png. Another is that I see strange characters from aptitude http://people.debian.org/~fjp/d-i/utf8weirdness1.png (block chars in line "Temporary failure..." around the hostname).
23:06 < bubulle> fjp: I haven't made such tests after an install
23:07 < fjp> Please do if you have time. If not, I think the UTF-8 change should be reverted.
23:07 < bubulle> however, as my own system runs a UTF-8 locale for ages, I have some experience of UTF-8 on console which is quite positive, despite some quirks
23:07 < fjp> I really hate the weirdness in info.
23:07 < bubulle> the major quirk is a very well known bug in console-common and the consoel being switched to UTF-8 only for the first console
23:08 < fjp> Well, IMO the two examples I printed above are very basic stuff. If that does not work correctly, we should not switch.
23:09 < bubulle> well, I at least can't reproduce them on my own system
23:10 < fjp> This is in vmware installing sid with English/Netherlands.
23:11 < fjp> You have to ifdown eth0 to reproduce the second one :-)
23:12 < bubulle> fjp: are you in console 1?
23:13 < fjp> I may have been in 2
23:13 < bubulle> that's a very important difference
23:14 < bubulle> fjp: if it happens in console 2 and not in 1, this is probably #271013
23:15 < bubulle> if it disappears in console 2 after launching "unicode_start" from console1 then it's definitely #271013
23:17 < bubulle> fjp: I'd be delighted to reproduce it...if I can put my hands on a working sid_d-i image....
23:18 < fjp> bubulle: The graphical installer is sid_d-i. joeyh 's builds are dead because of a missing builddep. joeyh seems unavailable ATM to fix it.
23:19 < bubulle> fjp: btw, I was today seeking for  alink to the joeyh daily builds and couldn't find one anywhere
23:19 < fjp> It looks likely this is the problem. IMO this should be set to RC if we want to switch to UTF-8 or we should delay UTF-8 until this is fixed.
23:19 < bubulle> not a build as they're dead but at least a link..:-)
23:20 < fjp> bubulle: older links are deleted automatically.
23:20 < bubulle> fjp: well, before raising the severity to RC I tried to ring a bell to Alastair on Nov 20th in the #271013 bug...
23:21 < bubulle> after al, in this very bug he said he would work on it "immediately after sarge release"..:-)
23:21 < fjp> Yes, read that :-P
23:22 < fjp> bubulle: I'll leave it for now, but I will revert the UTF-8 change for beta2 if it's not fixed.
23:23 < bubulle> fjp: ouch...then I guess I should urge Alastair to at least apply the dirty hack proposed in #271013
23:24 < fjp> bubulle: Main reason is that I don't want us to have to deal with hundreds of installation reports about this.
23:24 < fjp> Also, I think this is to basic for dirty hacks. IMO it should be solved properly.
23:26 < bubulle> fjp: the clean solution doesn't seem that simple....and the "dirty" one is currently harmless (switching all first 11 consoles to UTF-8)

-- 





Reply sent to Alastair McKinstry <mckinstry@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jonas Meurer <jonas@freesources.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #62 received at 271013-close@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@debian.org>
To: 271013-close@bugs.debian.org
Subject: Bug#271013: fixed in console-tools 1:0.2.3dbs-59
Date: Sun, 27 Nov 2005 08:47:05 -0800
Source: console-tools
Source-Version: 1:0.2.3dbs-59

We believe that the bug you reported is fixed in the latest version of
console-tools, which is due to be installed in the Debian FTP archive:

console-tools-dev_0.2.3dbs-59_i386.deb
  to pool/main/c/console-tools/console-tools-dev_0.2.3dbs-59_i386.deb
console-tools_0.2.3dbs-59.dsc
  to pool/main/c/console-tools/console-tools_0.2.3dbs-59.dsc
console-tools_0.2.3dbs-59.tar.gz
  to pool/main/c/console-tools/console-tools_0.2.3dbs-59.tar.gz
console-tools_0.2.3dbs-59_i386.deb
  to pool/main/c/console-tools/console-tools_0.2.3dbs-59_i386.deb
kbd-compat_0.2.3dbs-59_all.deb
  to pool/main/c/console-tools/kbd-compat_0.2.3dbs-59_all.deb
libconsole_0.2.3dbs-59_i386.deb
  to pool/main/c/console-tools/libconsole_0.2.3dbs-59_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 271013@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alastair McKinstry <mckinstry@debian.org> (supplier of updated console-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 27 Nov 2005 16:18:58 +0000
Source: console-tools
Binary: kbd-compat console-tools-dev libconsole console-tools
Architecture: source all i386
Version: 1:0.2.3dbs-59
Distribution: unstable
Urgency: low
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Changed-By: Alastair McKinstry <mckinstry@debian.org>
Description: 
 console-tools - Linux console and font utilities
 console-tools-dev - Development files for Linux console and font manipulation
 kbd-compat - Wrappers around console-tools for backward compatibility with `kb
 libconsole - Shared libraries for Linux console and font manipulation
Closes: 271013 307474
Changes: 
 console-tools (1:0.2.3dbs-59) unstable; urgency=low
 .
   * console-screen.sh: Ensure the correct font, unicode_mode are set
     for all VTs.  Closes: #271013, #307474.
   * Remove all exit statements from /etc/init.d/console-screen.sh.
Files: 
 ada4ba1e56717859ed2651fa0f4f4119 643 base important console-tools_0.2.3dbs-59.dsc
 d9704d455b488c336d18acd921427706 1487144 base important console-tools_0.2.3dbs-59.tar.gz
 dc1853df352b332fcca93029a0fa3cd9 43040 utils optional kbd-compat_0.2.3dbs-59_all.deb
 b08bfcf3fd502f33c981bd9adeca20bd 294218 utils important console-tools_0.2.3dbs-59_i386.deb
 2f03f69f000b6d7344d0b7958e0bd64b 126708 libs important libconsole_0.2.3dbs-59_i386.deb
 015b5fd2c49f7c15508ebbdb0a23a6c2 83492 devel optional console-tools-dev_0.2.3dbs-59_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDieCDQTK/kCo4XFcRAguAAKC4l2U9Fay668HTrX3nQxoZHsAZdQCfTIxv
+79KIOVPrz6VZ1IBlOUFw1I=
=Z3lT
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#271013; Package console-tools. Full text and rfc822 format available.

Acknowledgement sent to Paul TBBle Hampson <Paul.Hampson@anu.edu.au>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. Full text and rfc822 format available.

Message #67 received at 271013@bugs.debian.org (full text, mbox):

From: Paul TBBle Hampson <Paul.Hampson@anu.edu.au>
To: control@bugs.debian.org, 271013@bugs.debian.org, 271013-submitter@bugs.debian.org
Subject: Fix slightly wrong
Date: Mon, 28 Nov 2005 17:30:03 +1100
[Message part 1 (text/plain, inline)]
reopen 271013
Thankyou Mr Bug control Robot

The fix for this bug and 307474 is slightly buggy.
Line 101 has 
[ NUM_CONSOLES -eq 1 ]
which should be
[ ${NUM_CONSOLES} -eq 1 ]

-- 
Paul "TBBle" Hampson, Paul.Hampson@Anu.edu.au
8th year CompSci/Asian Studies student, ANU

Shorter .sig for a more eco-friendly paperless office.
[Message part 2 (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Paul TBBle Hampson <Paul.Hampson@anu.edu.au> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Jonas Meurer <jonas@freesources.org>:
Bug#271013. Full text and rfc822 format available.

Reply sent to Alastair McKinstry <mckinstry@computer.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jonas Meurer <jonas@freesources.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #77 received at 271013-done@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@computer.org>
To: 271013-done@bugs.debian.org
Subject: closing this bug
Date: Tue, 25 Apr 2006 14:14:59 +0100
I am closing this bug as it has been fixed in a previous release.

Regards
Alastair




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 14:44:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:35:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.